Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1897581 - python-formencode fails to build with Python 3.10: setup.py - Python version not supported
Summary: python-formencode fails to build with Python 3.10: setup.py - Python version ...
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: python-formencode
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Fedora Infrastructure SIG
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: PYTHON3.10
TreeView+ depends on / blocked
 
Reported: 2020-11-13 14:06 UTC by Tomáš Hrnčiar
Modified: 2021-10-05 13:45 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-06-05 10:35:39 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github formencode formencode issues 160 0 None closed Python 3.10 compatibility 2021-02-18 06:16:22 UTC

Description Tomáš Hrnčiar 2020-11-13 14:06:15 UTC
python-formencode fails to build with Python 3.10.0a2.

Traceback (most recent call last):
  File "/builddir/build/BUILD/FormEncode-1.3.1/setup.py", line 15, in <module>
    raise ImportError('Python version not supported')
ImportError: Python version not supported

For the build logs, see:
https://copr-be.cloud.fedoraproject.org/results/@python/python3.10/fedora-rawhide-x86_64/01757475-python-formencode/

For all our attempts to build python-formencode with Python 3.10, see:
https://copr.fedorainfracloud.org/coprs/g/python/python3.10/package/python-formencode/

Testing and mass rebuild of packages is happening in copr. You can follow these instructions to test locally in mock if your package builds with Python 3.10:
https://copr.fedorainfracloud.org/coprs/g/python/python3.10/

Let us know here if you have any questions.

Python 3.10 will be included in Fedora 35. To make that update smoother, we're building Fedora packages with early pre-releases of Python 3.10.
A build failure prevents us from testing all dependent packages (transitive [Build]Requires), so if this package is required a lot, it's important for us to get it fixed soon.
We'd appreciate help from the people who know this package best, but if you don't want to work on this now, let us know so we can try to work around it on our side.

Comment 1 Jan ONDREJ 2020-11-16 11:10:11 UTC
Reported upstream.

Comment 2 Tomáš Hrnčiar 2021-01-19 15:29:01 UTC
Hello, seems like there is new release with version 2.0.0. Could you please update the package? It should fix this issue. Thank you.

Comment 3 Dan Callaghan 2021-01-27 22:40:29 UTC
Looks like the 2.0.0a1 alpha release from 2016 tripped up Anitya, it considered that one to be newer than the 2.0.0 final release which was published in Oct 2020, so Anitya never filed a bug for 2.0.0.

The 2.0.0 release is mostly Python 3 fixes and a few other fixes and additions which should be backwards compatible, according to its release notes:
http://www.formencode.org/en/latest/whatsnew-2.0.html

I tried updating the spec to 2.0.0 so I could file a PR, but ran into a silly problem with unpackaged /usr/LICENSE.TXT. I know this is due to setuptools data_files and I have seen the problem before but I couldn't remember the right fix. I will try again another day when I have a bit more free time.

Comment 4 Jan ONDREJ 2021-01-28 06:05:37 UTC
Version 2.0.0 final still doesn't fix this problem. Upstream patch can't be applied too.
I requested a new release upstream, but without success yet.
I think the best way is to build latest upstream git version.

Comment 5 Ben Cotton 2021-02-09 15:24:14 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 34 development cycle.
Changing version to 34.

Comment 6 Miro Hrončok 2021-06-04 20:15:24 UTC
This is a mass-posted update. Sorry if it is not 100% accurate to this bugzilla.


The Python 3.10 rebuild is in progress in a Koji side tag. If you manage to fix the problem, please commit the fix in the rawhide branch, but don't build the package in regular rawhide.

You can either build the package in the side tag, with:

    $ fedpkg build --target=f35-python

Or you can the build and we will eventually build it for you.

Note that the rebuild is still in progress, so not all (build) dependencies of this package might be available right away.

Thanks.

See also https://fedoraproject.org/wiki/Changes/Python3.10

If you have general questions about the rebuild, please use this mailing list thread: https://lists.fedoraproject.org/archives/list/devel@lists.fedoraproject.org/thread/G47SGOYIQLRDTWGOSLSWERZSSHXDEDH5/

Comment 7 Jan ONDREJ 2021-06-05 10:35:39 UTC
Package updated to build on python3.10 (applied patch, upstream still not released a fixed version).
Rebuilt successfully using "fedpkg build --target=f35-python".

Still need to rebuild kajiji to build tw2 and TurboGears2 packages. I will take a look.

Comment 8 Chris Lambacher 2021-10-05 13:32:55 UTC
FYI, I'm the upstream maintainer and I've release FormEncode 2.0.1 to pypi which includes the change to make setup.py work with 3.10.

Comment 9 Jan ONDREJ 2021-10-05 13:45:20 UTC
Thanks. formencode-2.0.1 already built for rawhide. Build works well.
https://bodhi.fedoraproject.org/updates/FEDORA-2021-cd2b511bc2


Note You need to log in before you can comment on or make changes to this bug.